Module org.firebirdsql.jaybird
Package org.firebirdsql.jaybird.parser

# Enum Class LocalStatementType

java.lang.Object
java.lang.Enum<LocalStatementType>
org.firebirdsql.jaybird.parser.LocalStatementType

All Implemented Interfaces:
  `Serializable`, `Comparable<LocalStatementType>`, `Constable`

@InternalApi public enum LocalStatementType extends Enum<LocalStatementType>
Statement types.

NOTE: Jaybird may take shortcuts during detection (e.g. only look at first keyword), so an invalid statement might be classified anyway.

The types of this enum are decided by the needs of Jaybird, and do not necessarily cover all statement types.

Since:
  5
Author:
  Mark Rotteveel

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DELETE`
`DELETE` statement.
`EXECUTE_PROCEDURE`
`EXECUTE PROCEDURE` statement.
`HARD_COMMIT`
`COMMIT [WORK]` (i.e.
`HARD_ROLLBACK`
`ROLLBACK [WORK]` (i.e.
`INSERT`
`INSERT` statement.
`MERGE`
`MERGE` statement.
`OTHER`
No specific classification applied (i.e.
`SELECT`
`SELECT` statement, including selectable stored procedures.
`SET_TRANSACTION`
`SET TRANSACTION` statement.
`UNKNOWN`
Null-state before detection.
`UPDATE`
`UPDATE` statement (or `UPDATE OR INSERT` before detection is complete).
`UPDATE_OR_INSERT`
`UPDATE OR INSERT` statement.

## Method Summary

Modifier and Type
Method
Description
`LocalStatementClass`
`statementClass()`
Class of the statement.
`static LocalStatementType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LocalStatementType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNKNOWN

public static final LocalStatementType UNKNOWN
Null-state before detection.

### SELECT

public static final LocalStatementType SELECT
`SELECT` statement, including selectable stored procedures.

### EXECUTE_PROCEDURE

public static final LocalStatementType EXECUTE_PROCEDURE
`EXECUTE PROCEDURE` statement.

### UPDATE

public static final LocalStatementType UPDATE
`UPDATE` statement (or `UPDATE OR INSERT` before detection is complete).

### DELETE

public static final LocalStatementType DELETE
`DELETE` statement.

### INSERT

public static final LocalStatementType INSERT
`INSERT` statement.

### UPDATE_OR_INSERT

public static final LocalStatementType UPDATE_OR_INSERT
`UPDATE OR INSERT` statement.

### MERGE

public static final LocalStatementType MERGE
`MERGE` statement.

### HARD_COMMIT

public static final LocalStatementType HARD_COMMIT
`COMMIT [WORK]` (i.e. without `RETAIN`).

Since:
  6

### HARD_ROLLBACK

public static final LocalStatementType HARD_ROLLBACK
`ROLLBACK [WORK]` (i.e. without `RETAIN` or `TO SAVEPOINT ...`).

Since:
  6

### SET_TRANSACTION

public static final LocalStatementType SET_TRANSACTION
`SET TRANSACTION` statement.

Since:
  6

### OTHER

public static final LocalStatementType OTHER
No specific classification applied (i.e. Jaybird is not (yet) interested in this type), or detection failed.

## Method Details

### values

public static LocalStatementType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LocalStatementType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### statementClass

public LocalStatementClass statementClass()
Class of the statement.

Returns:
  statement class
Since:
  6